Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ssi
Class ByteArrayServletOutputStream

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--javax.servlet.ServletOutputStream
                  |
                  +--org.apache.catalina.ssi.ByteArrayServletOutputStream

public class ByteArrayServletOutputStream
extends javax.servlet.ServletOutputStream

Class that extends ServletOuputStream, used as a wrapper from within `SsiInclude`

Version:
  $Revision: 1.1 $, $Date: 2002/05/24 04:38:58 $
Author:
  Bip Thelin
See Also:
  `and ByteArrayOutputStream`

Field Summary
`protected java.io.ByteArrayOutputStream` | `_buf` Our buffer to hold the stream

Constructor Summary
`ByteArrayServletOutputStream()` Construct a new ServletOutputStream

Method Summary
`byte[]` | `toByteArray()` Write our stream to the `OutputStream` provided.
`void` | `write(int b)` Write to our buffer

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.OutputStream
`close, flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _buf

    protected java.io.ByteArrayOutputStream _buf

  Our buffer to hold the stream

Constructor Detail

### ByteArrayServletOutputStream

    public ByteArrayServletOutputStream()

  Construct a new ServletOutputStream

Method Detail

### toByteArray

    public byte[] toByteArray()

  Write our stream to the `OutputStream` provided.

  Throws:
    `java.io.IOException` - if an input/output error occurs

### write

    public void write(int b)

  Write to our buffer

  Specified by:
    `write` in class `java.io.OutputStream`
  Parameters:
    `b` - The parameter to write

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.